using System;
using System.Configuration;
using System.Data.SqlClient;

namespace SQLReaderPerformance.SqlDataReaderTest
{
	/// <summary>
	/// NonPooling   Դϴ.
	/// </summary>
	public class NonPooling
	{
		private string connectionString;
		private readonly string connectionStringAppKeyName = "TestDB";

		private readonly string columnName_1 = "cust_id";
		private readonly string columnName_2 = "company";
		private readonly string columnName_3 = "contact_name";
		private readonly string columnName_4 = "address";
		private readonly string columnName_5 = "city";
		private readonly string columnName_6 = "state_province";
		private readonly string columnName_7 = "postal_code";
		private readonly string columnName_8 = "country";
		private readonly string columnName_9 = "telephone";
		private readonly string columnName_10 = "fax";

		public NonPooling()
		{
			connectionString = ConfigurationSettings.AppSettings[connectionStringAppKeyName];
		}

		public void Retreive()
		{
			string cmdText = "SELECT * FROM cust";

			using(SqlConnection conn = new SqlConnection(connectionString))
			{
				conn.Open();

				using(SqlCommand command = new SqlCommand(cmdText,conn))
				{
					using(SqlDataReader reader = command.ExecuteReader())
					{
						while(reader.Read())
						{
							string column_7 = (string)reader[columnName_7];
							string column_2 = (string)reader[columnName_2];
							string column_4 = (string)reader[columnName_4];
							string column_9 = (string)reader[columnName_9];
							string column_6 = (string)reader[columnName_6];
							string column_10 = (string)reader[columnName_10];
							string column_8 = (string)reader[columnName_8];
							string column_5 = (string)reader[columnName_5];
							string column_1 = (string)reader[columnName_1];
							string column_3 = (string)reader[columnName_3];
						}
					}
				}
			}
		}
	}
}
