IF OBJECT_ID('cust') IS NOT NULL BEGIN
	DROP TABLE cust
END 
GO


-- ̺ Ű
CREATE TABLE cust
(
 cust_id varchar(255) NOT NULL,
 company varchar(30) NOT NULL,
 contact_name varchar(60) NOT NULL, 
 address varchar(30) NOT NULL, 
 city varchar(30) NOT NULL,
 state_province varchar(10) NULL,
 postal_code varchar(10) NOT NULL, 
 country varchar(20) NOT NULL, 
 telephone varchar(15) NOT NULL,
 fax varchar(15) NULL
)
GO

-- ⺻  
INSERT cust
(cust_id, company, contact_name, address, city, state_province, 
 postal_code, country, telephone, fax)
VALUES
(newid(), 'Wartian Herkku', 'Pirkko Koskitalo', 'Torikatu 38', 'Oulu', NULL,
 '90110', 'Finland', '981-443655', '981-443655')
INSERT cust
(cust_id, company, contact_name, address, city, state_province,
postal_code, country, telephone, fax)
VALUES 
(newid(), 'Wellington Importadora', 'Paula Parente', 'Rua do Mercado, 12', 'Resende', 'SP',
 '08737-363', 'Brazil', '(14) 555-8122', '')
INSERT cust
(cust_id, company, contact_name, address, city, state_province,
 postal_code, country, telephone, fax)
VALUES
(newid(), 'Cactus Comidas para Ilevar', 'Patricio Simpson', 'Cerrito 333', 'Buenos Aires', NULL, 
 '1010', 'Argentina', '(1) 135-5555', '(1) 135-4892')
INSERT cust
(cust_id, company, contact_name, address, city, state_province,
 postal_code, country, telephone, fax)
VALUES 
(newid(), 'Ernst Handel', 'Roland Mendel', 'Kirchgasse 6', 'Graz', NULL,
 '8010', 'Austria', '7675-3425', '7675-3426')
INSERT cust
(cust_id, company, contact_name, address, city, state_province,
 postal_code, country, telephone, fax)
VALUES 
(newid(), 'Maison Dewey', 'Catherine Dewey', 'Rue Joseph-Bens 532', 'Bruxelles', NULL,
 'B-1180', 'Belgium', '(02) 201 24 67', '(02) 201 24 68')
GO


--  
DECLARE @index int
DECLARE @count int

SET @index = 0
SET @count = 5


WHILE(@index < @count) BEGIN
	INSERT INTO cust
		SELECT NEWID() AS cust_id, company, contact_name, address, city, state_province, postal_code, country, telephone, fax
		FROM cust

	SET @index = @index + 1
END
	
	
-- Ȯ
SELECT COUNT(*) FROM cust

